## elinks 0.16.1.1-4.1ubuntu3trisquel1

=== debian/changelog ===
elinks (0.16.1.1-4.1ubuntu3trisquel1) ecne; urgency=medium

  * Rebuild as dependency of aptitude for i386

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Thu, 02 Oct 2025 04:19:02 +0000

=== debian/control ===
Source: elinks
Section: web
Priority: optional
Maintainer: Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>
XSBC-Original-Maintainer: أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@users.sourceforge.net>
Build-Depends: debhelper-compat (= 13), libtre-dev, libgnutls28-dev, libgcrypt20-dev, libidn-dev,
	libfsplib-dev, libgpm-dev [linux-any],
	liblua5.3-dev, libbz2-dev, libexpat1-dev,
	libperl-dev, libkrb5-dev, gettext,
	xmlto, docbook-utils, pkg-config,
  liblzma-dev,
  libncurses-dev
  ,libev-libevent-dev
  ,python3
  ,dblatex
  ,zlib1g-dev
  ,libbrotli-dev
  ,meson
Build-Conflicts: libgc-dev
Standards-Version: 4.6.2
Rules-Requires-Root: no
Homepage: https://github.com/rkd77/elinks/
Vcs-Git: https://salsa.debian.org/aelmahmoudy/elinks.git
Vcs-Browser: https://salsa.debian.org/aelmahmoudy/elinks

Package: elinks
Architecture: any
Depends: ${shlibs:Depends}, elinks-data (= ${source:Version}), ${misc:Depends}
Pre-Depends: ${misc:Pre-Depends}
Suggests: elinks-doc
Provides: www-browser
Description: advanced text-mode WWW browser
 ELinks is a feature-rich program for browsing the web in text mode.  It is
 like enhanced Lynx and Links.  The most noteworthy features of ELinks are:
 .
  * Lots of protocols (local files, finger, HTTP(S), FTP, IPv4/6 etc.)
  * Internationalized domain names
  * Persistent cookies, HTTP authentication and proxy authentication
  * Tabbed browsing, good looking menus and dialogs, and key-binding manager
  * History browsing and typeahead searches
  * Forms history and completion, and history in commonly used input dialogs
  * CSS support and support for browser scripting (Perl, Lua, Guile etc.)
  * Tables and frames rendering, and configurable color support
  * Compressed and background (non-blocking) downloads, and download resuming
 .
 This package is based on elinks fork, since original elinks seems to be no
 longer maintained.

Package: elinks-data
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Pre-Depends: ${misc:Pre-Depends}
Breaks: elinks (<< 0.11.3-1), elinks-lite (<< 0.12~pre6-3)
Replaces: elinks (<< 0.11.3-1), elinks-lite (<< 0.12~pre6-3)
Description: advanced text-mode WWW browser - data files
 ELinks is a feature-rich program for browsing the web in text mode.  It is
 like enhanced Lynx and Links.  The most noteworthy features of ELinks are:
 .
  * Lots of protocols (local files, finger, HTTP(S), FTP, IPv4/6 etc.)
  * Internationalized domain names
  * Persistent cookies, HTTP authentication and proxy authentication
  * Tabbed browsing, good looking menus and dialogs, and key-binding manager
  * History browsing and typeahead searches
  * Forms history and completion, and history in commonly used input dialogs
  * CSS support and support for browser scripting (Perl, Lua, Guile etc.)
  * Tables and frames rendering, and configurable color support
  * Compressed and background (non-blocking) downloads, and download resuming
 .
 This package contains the data files that are necessary to use ELinks.

Package: elinks-doc
Section: doc
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Pre-Depends: ${misc:Pre-Depends}
Suggests: elinks
Breaks: elinks (<< 0.11.3-1), elinks-lite (<< 0.11.3-1)
Replaces: elinks (<< 0.11.3-1), elinks-lite (<< 0.11.3-1)
Description: advanced text-mode WWW browser - documentation
 ELinks is a feature-rich program for browsing the web in text mode.  It is
 like enhanced Lynx and Links.  The most noteworthy features of ELinks are:
 .
  * Lots of protocols (local files, finger, HTTP(S), FTP, IPv4/6 etc.)
  * Internationalized domain names
  * Persistent cookies, HTTP authentication and proxy authentication
  * Tabbed browsing, good looking menus and dialogs, and key-binding manager
  * History browsing and typeahead searches
  * Forms history and completion, and history in commonly used input dialogs
  * CSS support and support for browser scripting (Perl, Lua, Guile etc.)
  * Tables and frames rendering, and configurable color support
  * Compressed and background (non-blocking) downloads, and download resuming
 .
 This package contains the documentation and manuals for ELinks.

## elinks 0.18.0

=== Makefile ===
top_builddir=.
-include $(top_builddir)/Makefile.config

SUBDIRS = doc src
SUBDIRS-$(CONFIG_NLS) += po
CLEAN	= features.log
calltest = $1-$1

all-recursive: config.h

# Automagically rerun autotools
$(top_builddir)/config.status: $(top_srcdir)/configure
	cd $(top_builddir) && $(SHELL) ./config.status --recheck

ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
$(ACLOCAL_M4): $(top_srcdir)/configure.ac
	cd $(top_srcdir) && $(ACLOCAL)

$(top_srcdir)/configure: $(top_srcdir)/configure.ac $(ACLOCAL_M4)
	cd $(top_srcdir) && $(AUTOCONF)

# Makefile.config doesn't need a separate timestamp file because
# touching it doesn't directly cause other files to be rebuilt.
$(top_builddir)/Makefile.config: $(top_srcdir)/Makefile.config.in $(top_builddir)/config.status
	cd $(top_builddir) \
	  && CONFIG_FILES=Makefile.config CONFIG_HEADERS= \
	     $(SHELL) ./config.status

$(top_builddir)/config.h: $(top_builddir)/stamp-h
	@cd $(top_builddir) && \
	if test ! -f $@; then \
		rm -f stamp-h; \
		$(MAKE) stamp-h; \
	else :; fi

$(top_builddir)/stamp-h: $(top_srcdir)/config.h.in $(top_builddir)/config.status
	cd $(top_builddir) \
	  && CONFIG_FILES= CONFIG_HEADERS=config.h \
	     $(SHELL) ./config.status
	@echo timestamp > stamp-h 2> /dev/null

$(top_srcdir)/config.h.in: $(top_srcdir)/stamp-h.in
	@if test ! -f $@; then \
		rm -f $(top_srcdir)/stamp-h.in; \
		$(MAKE) $(top_srcdir)/stamp-h.in; \
	else :; fi

$(top_srcdir)/stamp-h.in: $(top_srcdir)/configure.ac $(ACLOCAL_M4) 
	cd $(top_srcdir) && $(AUTOHEADER)
	@echo timestamp > $(top_srcdir)/stamp-h.in 2> /dev/null


# Makefile.lib heavily uses $(call ...), which was added in GNU Make 3.78.
# An elinks-users post on 2007-12-04 reported trouble with GNU Make 3.68.
# Detect this situation and give an error message.  $(MAKECMDGOALS) is
# only defined by 3.76 and later, so specify the "all" target as well.
# This check has been tested with GNU Make 3.68, 3.77, 3.78.1, and 3.81.
ifneq ($(call calltest,ok),ok-ok)
$(MAKECMDGOALS) default all:
	@echo >&2 "You need GNU Make 3.78 or later"
	@false
else
ifeq ($(wildcard Makefile.config),)
# Catch all
$(MAKECMDGOALS) default:
	@echo "You need to first run ./configure"
else
include $(top_srcdir)/Makefile.lib
endif
endif

=== meson_options.txt ===
option('largefile', type: 'boolean', value: true, description: 'support for large files')
option('bookmarks', type: 'boolean', value: true, description: 'bookmark support')
option('xbel', type: 'boolean', value: true, description: 'XBEL bookmark support (requires expat)')
option('sm-scripting', type: 'boolean', value: false, description: 'ECMAScript browser scripting (requires Spidermonkey)')
option('nls', type: 'boolean', value: true, description: 'Native Language Support')
option('cookies', type: 'boolean', value: true, description: 'cookie support')
option('formhist', type: 'boolean', value: true, description: 'form history support')
option('globhist', type: 'boolean', value: true, description: 'global history support')
option('mailcap', type: 'boolean', value: true, description: 'mailcap support')
option('mimetypes', type: 'boolean', value: true, description: 'mimetypes files support')
option('ipv6', type: 'boolean', value: true, description: 'IPv6 support')
option('bittorrent', type: 'boolean', value: true, description: 'BitTorrent protocol support')
option('data', type: 'boolean', value: true, description: 'data protocol support')
option('uri-rewrite', type: 'boolean', value: true, description: 'URI rewrite support')
option('cgi', type: 'boolean', value: false, description: 'local CGI support')
option('finger', type: 'boolean', value: false, description: 'finger protocol support')
option('fsp', type: 'boolean', value: false, description: 'FSP protocol support')
option('fsp2', type: 'boolean', value: false, description: 'FSP protocol support without fsplib and fork calls')
option('ftp', type: 'boolean', value: true, description: 'ftp protocol support')
option('gopher', type: 'boolean', value: false, description: 'gopher protocol support')
option('nntp', type: 'boolean', value: false, description: 'nntp protocol support')
option('smb', type: 'boolean', value: false, description: 'Samba protocol support')
option('mouse', type: 'boolean', value: true, description: 'mouse support')
option('sysmouse', type: 'boolean', value: false, description: 'BSD sysmouse support')
option('88-colors', type: 'boolean', value: false, description: '88 color support')
option('256-colors', type: 'boolean', value: false, description: '256 color support')
option('true-color', type: 'boolean', value: false, description: 'true color support')
option('exmode', type: 'boolean', value: false, description: 'exmode (CLI) interface')
option('leds', type: 'boolean', value: true, description: 'LEDs support')
option('marks', type: 'boolean', value: true, description: 'document marks support')
option('css', type: 'boolean', value: true, description: 'Cascading Style Sheet support')
option('html-highlight', type: 'boolean', value: false, description: 'HTML highlighting using DOM engine')
option('backtrace', type: 'boolean', value: true, description: 'backtrace support')
option('no-root', type: 'boolean', value: false, description: 'prevention of usage by root')
option('withdebug', type: 'boolean', value: false, description: 'leak debug and internal error checking')
option('fastmem', type: 'boolean', value: false, description: 'direct use of system allocation functions, not usable with debug enabled')
option('own-libc', type: 'boolean', value: false, description: 'force use of internal functions instead of those of system libc')
option('small', type: 'boolean', value: false, description: 'reduce binary size as far as possible (but see the bottom of doc/small.txt!)')
option('utf-8', type: 'boolean', value: true, description: 'UTF-8 support')

option('xterm', type: 'boolean', value: false, description: 'how to invoke the X terminal emulator')
option('gpm', type: 'boolean', value: true, description: 'gpm (mouse) support')
option('terminfo', type: 'boolean', value: false, description: 'terminfo support')
option('zlib', type: 'boolean', value: true, description: 'zlib support')
option('bzlib', type: 'boolean', value: false, description: 'bzip2 support')
option('brotli', type: 'boolean', value: false, description: 'brotli support')
option('zstd', type: 'boolean', value: false, description: 'zstd support')
option('idn', type: 'boolean', value: true, description: 'international domain names support')
option('lzma', type: 'boolean', value: false, description: 'lzma encoding support')
option('gssapi', type: 'boolean', value: false, description: 'GSSAPI support')
option('spidermonkey', type: 'boolean', value: false, description: 'SpiderMonkey Mozilla JavaScript engine support')
option('guile', type: 'boolean', value: false, description: 'Guile support')
option('perl', type: 'boolean', value: false, description: 'Perl5 support')
option('python', type: 'boolean', value: false, description: 'Python3 support')
option('luapkg', type: 'string', value:'', description: 'Lua version')
option('tre', type: 'boolean', value: true, description: 'TRE regex search support')
option('ruby', type: 'boolean', value: false, description: 'Ruby support')
option('gnutls', type: 'boolean', value: false, description: 'GNUTLS SSL support')
option('openssl', type: 'boolean', value: true, description: 'OpenSSL support')
option('libev', type: 'boolean', value: false, description: 'compile with libev (libevent compatibility mode)')
option('libevent', type: 'boolean', value: false, description: 'compile with libevent. Note that libev has precedence')
option('x', type: 'boolean', value: false, description: 'use the X Window System')
option('gemini', type: 'boolean', value: false, description: 'gemini protocol support')
option('gettext', type: 'boolean', value: false, description: 'use external gettext library')
option('quickjs', type: 'boolean', value: false, description: 'use quickjs library')
option('static', type: 'boolean', value: false, description: 'link static binary')

option('reproducible', type: 'boolean', value: false, description: 'reproducible build')
option('source-date-epoch', type: 'string', value: '', description: 'source date epoch for reproducible builds')

option('dgi', type: 'boolean', value: false, description: 'DOS Gateway Interface support')
option('mujs', type: 'boolean', value: false, description: 'use mujs library')
option('codepoint', type: 'boolean', value: true, description: 'whether check codepoints on Linux console')
option('test', type: 'boolean', value: false, description: 'whether build test programs')
option('test-mailcap', type: 'boolean', value: false, description: 'whether build test mailcap program')
option('doc', type: 'boolean', value: true, description: 'whether build documentation')
option('docdir', type: 'string', value: '', description: 'Documentation installation directory. Default $prefix/share/doc/elinks.')
option('apidoc', type: 'boolean', value: true, description: 'whether to generate API docs with doxygen')
option('htmldoc', type: 'boolean', value: true, description: 'whether to build html docs')
option('pdfdoc', type: 'boolean', value: true, description: 'whether to build manual.pdf')
option('libcss', type: 'boolean', value: true, description: 'whether to compile libcss support, requires libdom. This option is automatically enabled with js support')
option('libsixel', type: 'boolean', value: false, description: 'whether to compile libsixel support to show images directly on sixel compatible terminals')
option('libcurl', type: 'boolean', value: true, description: 'whether to compile libcurl support. This option is automatically enabled with js support')
option('sftp', type: 'boolean', value: true, description: 'whether to compile SFTP protocol support. Requires libcurl')

=== doc/Makefile ===
top_builddir=..
include $(top_builddir)/Makefile.config

SUBDIRS = man

# A little trick to simplify some of the rules.
VPATH = $(builddir):$(srcdir):$(top_srcdir)/contrib/perl

docdir = $(datadir)/doc

# Used by install-doc
HTML_DIR = $(DESTDIR)$(docdir)/$(PACKAGE)/html
PDF_DIR  = $(DESTDIR)$(docdir)/$(PACKAGE)/pdf
TXT_DIR  = $(DESTDIR)$(docdir)/$(PACKAGE)/txt

ASCIIDOC_CONF  = $(srcdir)asciidoc.conf
ASCIIDOC_FLAGS += --no-conf -f $(srcdir)tools/asciidoc/asciidoc.conf \
		  -f $(srcdir)tools/asciidoc/$(call backend).conf \
		  -f $(ASCIIDOC_CONF) \
		  -a "builddir=$(CURDIR)/" \
		  -a elinks_version=$(VERSION)

#############################################################################
# Build files

TXT_DOCS_NOINSTALL = \
 features.txt \
 keymap-actions.txt \
 keymap-defaults.txt \

TXT_DOCS_ASIS = \
 python.txt

HTML_DOCS-$(CONFIG_ASCIIDOC) += \
 elinks.1.html \
 elinks.conf.5.html \
 elinkskeys.5.html \
 hacking.html \
 manual.html

HTML_DOCS-$(CONFIG_XMLTO) += \
 manual.html-chunked

HTML_DOCS-$(CONFIG_POD2HTML) += \
 perl.html \
 perl-hooks.html

# We don't nowadays run pod2html on the po/perl/ scripts, because
# "make install" does not install them and they do not have the .pl
# suffix expected by the pod2html rule below.

MAN_DOCS-$(CONFIG_XMLTO) += \
 elinks.1 \
 elinks.conf.5 \
 elinkskeys.5

# Use dblatex for generating PDF
PDF_DOCS-$(CONFIG_DBLATEX) += \
 manual.pdf

API_DOCS-$(CONFIG_DOXYGEN) += \
 api/doxygen

#############################################################################
## Set the default doc rules

MAN_DOCS  = $(MAN_DOCS-yes)
HTML_DOCS = $(HTML_DOCS-yes)
PDF_DOCS  = $(PDF_DOCS-yes)
API_DOCS  = $(API_DOCS-yes)

txt:  $(TXT_DOCS_NOINSTALL)
html: txt $(HTML_DOCS)
pdf:  txt $(PDF_DOCS)
man:  txt $(MAN_DOCS)
api:  $(API_DOCS)

all-docs: man html pdf

install-doc: all-docs update-man install
	@$(foreach doc,$(HTML_DOCS), \
		if test -d $(doc); then \
			$(MKINSTALLDIRS) $(DESTDIR)$(docdir)/$(PACKAGE)/html/$(doc); \
			$(call ncmd,installdata,$(doc)/*,$(HTML_DIR)/$(doc)); \
		else \
			$(MKINSTALLDIRS) $(DESTDIR)$(docdir)/$(PACKAGE)/html; \
			$(call ncmd,installdata,$(doc),$(HTML_DIR)); \
		fi;)
	@$(foreach doc,$(PDF_DOCS), \
		$(MKINSTALLDIRS) $(DESTDIR)$(docdir)/$(PACKAGE)/pdf; \
		$(call ncmd,installdata,$(doc),$(PDF_DIR));)
	@$(foreach doc,$(TXT_DOCS_ASIS), \
		$(MKINSTALLDIRS) $(DESTDIR)$(docdir)/$(PACKAGE)/txt; \
		$(call ncmd,installdata,$(srcdir)$(doc),$(TXT_DIR));)

update-man: man
	@$(if $(MAN_DOCS), \
		$(call ncmd,installdata,elinks.1,$(srcdir)man/man1/elinks.1.in); \
		$(call ncmd,installdata,elinkskeys.5,$(srcdir)man/man5/); \
		$(call ncmd,installdata,elinks.conf.5,$(srcdir)man/man5/))

clean-local:
	@$(RM) -r api $(TXT_DOCS_NOINSTALL) $(MAN_DOCS) $(HTML_DOCS) $(PDF_DOCS) *.tmp *.xml

# TODO: perl.pod should be pod2ized during make install. --pasky
install-local:

#############################################################################
# Generated asciidoc files

# Scripts and Dependencies
HELP2XML = $(srcdir)tools/help2xml
CONF2DOC = $(srcdir)tools/conf2doc
KEYS2DOC = $(srcdir)tools/keys2doc
ELINKS	 = $(top_builddir)/src/elinks
FEATURES = $(top_srcdir)/features.conf
KBDBIND	 = $(top_srcdir)/src/config/kbdbind.c

# Locale env vars to override system one to ensure commands
# using elinks binary will generate texts in english
LOCALES = LC_ALL=C LANGUAGE=en

# FIXME: Keep generated .txt files relative to the source directory and files
# they are included in.
quiet_cmd_help2xml = ' [$(LINK_COLOR)HELP2XML$(END_COLOR)]   $(RELPATH)$@'
      cmd_help2xml = $(LOCALES) $(HELP2XML) $(ELINKS) $@

quiet_cmd_conf2doc = ' [$(LINK_COLOR)CONF2DOC$(END_COLOR)]   $(RELPATH)$@'
      cmd_conf2doc = $(LOCALES) $(CONF2DOC) $(FEATURES) > $@

quiet_cmd_keys2doc = ' [$(LINK_COLOR)KEYS2DOC$(END_COLOR)]   $(RELPATH)$@'
      cmd_keys2doc = $(LOCALES) $(KEYS2DOC) $(KBDBIND) $@ > $@

features.txt: $(FEATURES) $(CONF2DOC)
	$(call cmd,conf2doc)

keymap-%.txt: $(KBDBIND) $(KEYS2DOC)
	$(call cmd,keys2doc)

option-%.frag.xml: $(ELINKS) $(HELP2XML)
	$(call cmd,help2xml)

option-%.frag.xhtml: $(ELINKS) $(HELP2XML)
	$(call cmd,help2xml)

#############################################################################
# Build commands and macros

      quiet_cmd_dblatex = '       [$(LINK_COLOR)DBLATEX$(END_COLOR)]   $(RELPATH)$@'
            cmd_dblatex = $(DBLATEX) $<

   quiet_cmd_xmlto = '    [$(LINK_COLOR)XMLTO$(END_COLOR)]   $(RELPATH)$@'
         cmd_xmlto = $(XMLTO) -o $(call outdir) $(3) $(2) $<

quiet_cmd_pod2html = ' [$(LINK_COLOR)POD2HTML$(END_COLOR)]   $(RELPATH)$@'
      cmd_pod2html = $(POD2HTML) --outfile=$@ < $<

quiet_cmd_asciidoc = ' [$(LINK_COLOR)ASCIIDOC$(END_COLOR)]   $(RELPATH)$@'
      cmd_asciidoc = $(ASCIIDOC) $(ASCIIDOC_FLAGS) -b $(call backend) -d $(call doctype) -o $@ $<

 quiet_cmd_doxygen = ' [$(LINK_COLOR)DOXYGEN$(END_COLOR)]   $(RELPATH)$@'
       cmd_doxygen = $(DOXYGEN) $(2)

# Based on $@ find out asciidoc doctype or backend + xmlto output dir.
doctype = $(if $(findstring .1.,$@)$(findstring .5.,$@),manpage,book)
backend = $(if $(findstring .xml,$@),docbook,xhtml11)
outdir  = $(if $(findstring -chunked,$@),$@,.)

# Loosely track dependencies via asciidoc includes.
asciidoc_dep = sed -n 's/[{]builddir}//g;s@include1\{0,1\}::\(.*\)\[.*@$@: $< \1@p' < $< > .deps/$(@F).asciidoc

-include .deps/*.asciidoc


#############################################################################
# Build recipies

%.html: %.txt $(ASCIIDOC_CONF)
	$(call cmd,asciidoc,xhtml11)
	@-$(call asciidoc_dep)

manual.xml: txt

%.xml: %.txt $(ASCIIDOC_CONF)
	$(call cmd,asciidoc,docbook)
	@-$(call asciidoc_dep)

# asciidoc_dep above also generates these dependencies, but it runs
# only after asciidoc has succeeded, which won't happen if the files
# are missing.
elinks.1.xml: option-command.frag.xml
elinks.conf.5.xml: option-config.frag.xml
elinks.1.html: option-command.frag.xhtml
elinks.conf.5.html: option-config.frag.xhtml

%.1: %.1.xml
	$(call cmd,xmlto,man)

%.5: %.5.xml
	$(call cmd,xmlto,man)

%.html-chunked: %.xml
	$(call cmd,xmlto,html)

%.pdf: %.xml
	$(call cmd,dblatex)

%.html: %.pod
	$(call cmd,pod2html)

perl-%.html: %.pl
	$(call cmd,pod2html)

Doxyfile: $(srcdir)Doxyfile.in $(top_srcdir)/configure.ac
	cd $(top_builddir) && \
	CONFIG_FILES="$(RELPATH)$@" CONFIG_HEADERS= $(SHELL) ./config.status

api/doxygen: Doxyfile $(shell find $(top_srcdir)/src/ -name '*.[ch]' -o -name options.inc -o -name 'actions-*.inc' | sort)
	$(call cmd,doxygen,$<)

include $(top_srcdir)/Makefile.lib

=== po/Makefile ===
top_builddir=..
include $(top_builddir)/Makefile.config

# We prefer the capitalized name for Project-Id-Version.
ifeq ($(PACKAGE), elinks)
PRETTY_PACKAGE = ELinks
else
PRETTY_PACKAGE = $(PACKAGE)
endif

# Where to install the catalog files.
localedir = $(datadir)/locale

# These are for some reason not added magically to the Makefile.
MSGMERGE = msgmerge
PERL = perl

# Name of the file containing the list of files to translate (used by
# xgettext) 
POTFILES_ABS_LIST = potfiles.list

POTFILES_REL = $(shell find $(top_srcdir)/src/ -name '*.[ch]' -o -name '*.cpp' -o -name options.inc -o -name 'actions-*.inc' | sort)

quiet_cmd_gmsgfmt = ' [$(PO_COLOR)GMSGFMT$(END_COLOR)]   $(RELPATH)$(@)'
      cmd_gmsgfmt = rm -f -- "$@" && $(GMSGFMT) --statistics -o "$@" -- "$<"


# Distributed elinks-*.tar.gz packages include po/*.gmo files, so that
# users can install ELinks even if they don't have a msgfmt program.
# However, if srcdir != builddir, then this Makefile ignores the *.gmo
# files in the srcdir and builds new ones in the builddir.
%.gmo: $(srcdir)%.po
	$(call ecmd,gmsgfmt)


### The default rule
#
# Note: Target `all-local' must not depend on target '$(srcdir)$(PACKAGE).pot',
# otherwise packages like GCC can not be built if only parts of the source have
# been downloaded.
#
# Note 2: We aren't gcc, we are ELinks. And I want that dependency ;-). --pasky
#
# Note 3: I changed my mind, it is really annoying if you just insert one line
# and suddenly you have tons of changes in all the .po files updating the line
# informations. --pasky
#
# $(CATALOGS) is empty if --disable-nls. Beats using *-(yes|no) targets.

all-local: $(CATALOGS)


### Creating the template po template file
#
# This pulls in _all_ .c and .h files in the src directory. Even files that has
# not been added to the git repo. Beware of junk entries!

$(POTFILES_ABS_LIST): $(POTFILES_REL)
	@( cd $(top_srcdir); \
	  find src/ -type f -name '*.[ch]' -o -name '*.cpp' -o -name options.inc -o -name 'actions-*.inc' | sort ) \
	 > $(POTFILES_ABS_LIST)

# xgettext --flag requires GNU gettext 0.13 or later;
# --msgid-bugs-address requires 0.12 or later.
$(srcdir)$(PACKAGE).pot: $(POTFILES_ABS_LIST) $(srcdir)perl/msgaccel-prepare
	$(XGETTEXT) --default-domain=$(PACKAGE) \
		    --directory=$(top_srcdir) \
		    --msgid-bugs-address=elinks-users@linuxfromscratch.org \
		    --add-comments --language=C \
		    --keyword=_ --keyword=N_ --keyword=n_:1,2 --keyword=N__ \
		    --flag=msg_text:2:c-format --flag=die:1:c-format \
		    --flag=secure_fprintf:2:c-format \
		    --flag=DBG:1:c-format --flag=elinks_debug:1:c-format \
		    --flag=WDBG:1:c-format --flag=elinks_wdebug:1:c-format \
		    --flag=ERROR:1:c-format --flag=elinks_error:1:c-format \
		    --flag=INTERNAL:1:c-format --flag=elinks_internal:1:c-format \
		    --flag=usrerror:1:c-format --flag=elinks_log:4:c-format \
		    --flag=LOG_ERR:1:c-format --flag=LOG_WARN:1:c-format \
		    --flag=LOG_INFO:1:c-format --flag=LOG_DBG:1:c-format \
		    --flag=assertm:2:c-format --flag=elinks_assertm:2:c-format \
		    --flag=add_format_to_string:2:c-format \
		    --flag=elinks_vsnprintf:3:c-format --flag=elinks_snprintf:3:c-format \
		    --flag=elinks_vasprintf:2:c-format --flag=elinks_asprintf:2:c-format \
		    --flag=vasprintfa:1:c-format --flag=asprintfa:1:c-format \
		    --flag=_:1:pass-c-format --flag=N_:1:pass-c-format \
		    --flag=n_:1:pass-c-format --flag=n_:2:pass-c-format \
		    --flag=N__:1:pass-c-format \
		    -f $(POTFILES_ABS_LIST)
	test -f $(PACKAGE).po
	$(PERL) -I"$(srcdir)perl" $(srcdir)perl/msgaccel-prepare -S"$(top_srcdir)" $(PACKAGE).po
# GNU gettext 0.17 supports xgettext --package-version but is GPLv3+.
# This rule already requires Perl so use that instead.
	$(PERL) -pi -e 's/(^"Project-Id-Version: )PACKAGE VERSION/$$1$(PRETTY_PACKAGE) $(VERSION)/i and $$found=1 unless $$found' $(PACKAGE).po
	mv -f $(PACKAGE).po $(srcdir)$(PACKAGE).pot


### Updating po and gmo files
#
# Update by merging all .po files with the .po template master file.
#
# It is possible to update only a single .po file by setting the PO variable to
# either <lang> or <lang>.po when calling make. Example: make update-po PO=is

update-po: Makefile $(srcdir)$(PACKAGE).pot
	@$(foreach lang,$(basename $(if $(strip $(PO)),$(PO),$(GMOFILES))), \
	  echo -n "$(lang): "; \
	  if $(MSGMERGE) $(srcdir)$(lang).po $(srcdir)$(PACKAGE).pot -o $(lang).new.po; then \
	    mv -f $(lang).new.po $(srcdir)$(lang).po; \
	  else \
	    echo "msgmerge failed!"; \
	    rm -f $(lang).new.po; \
	  fi; \
	)
	$(MAKE) update-gmo

update-gmo: Makefile $(GMOFILES)
	@:


### Check single or all po files
#

check-po:
	@-$(foreach lang,$(basename $(if $(strip $(PO)),$(PO),$(GMOFILES))), \
	  echo -n "$(lang): "; \
	  $(GMSGFMT) --check --check-accelerators="~" --verbose --statistics -o /dev/null $(srcdir)$(lang).po; \
	  $(PERL) -I"$(srcdir)perl" $(srcdir)perl/msgaccel-check $(srcdir)$(lang).po; \
	)

### Installation and distribution
#
# Use *-local targets to place and remove .gmo files.

install-local: all-local
	$(MKINSTALLDIRS) $(DESTDIR)$(localedir)
	@$(foreach lang,$(basename $(if $(strip $(PO)),$(PO),$(CATALOGS))), \
		$(MKINSTALLDIRS) $(DESTDIR)$(localedir)/$(lang)/LC_MESSAGES; \
		$(call ncmd,installdata,$(lang).gmo,$(DESTDIR)$(localedir)/$(lang)/LC_MESSAGES/$(PACKAGE).mo); \
	)

uninstall-local:
	@$(foreach lang,$(basename $(if $(strip $(PO)),$(PO),$(CATALOGS))), \
		$(call ncmd,uninstall,$(PACKAGE).mo,$(DESTDIR)$(localedir)/$(lang)/LC_MESSAGES); \
	)

clean-local:
	@rm -f $(PACKAGE).po *.new.po $(POTFILES_ABS_LIST)

include $(top_srcdir)/Makefile.lib

=== src/Makefile ===
top_builddir=..
include $(top_builddir)/Makefile.config

SUBDIRS-$(CONFIG_BOOKMARKS)	+= bookmarks
SUBDIRS-$(CONFIG_COOKIES)	+= cookies
SUBDIRS-$(CONFIG_DOM)		+= dom
SUBDIRS-$(CONFIG_ECMASCRIPT)	+= js
SUBDIRS-$(CONFIG_FORMHIST)	+= formhist
SUBDIRS-$(CONFIG_GLOBHIST)	+= globhist
SUBDIRS-$(CONFIG_SCRIPTING)	+= scripting

SUBDIRS = \
 bfu \
 cache \
 config \
 dialogs \
 document \
 encoding \
 intl \
 main \
 mime \
 network \
 osdep \
 protocol \
 session \
 terminal \
 util \
 viewer

# Get the GIT HEAD ID if possible
ifdef GIT
GITDESC  = $(shell $(GIT) --git-dir=$(top_srcdir)/.git rev-parse HEAD 2>/dev/null)
WTDIRTY  = $(shell cd "$(top_srcdir)" && $(GIT) diff-index HEAD 2>/dev/null)
BUILD_ID = $(subst elinks-,,$(GITDESC))$(if $(WTDIRTY),-dirty)
endif
INCLUDES += -DBUILD_ID="\"$(BUILD_ID)\""

vernum.o: $(LIB_O_NAME)

elinks$(EXEEXT): $(LIB_O_NAME) vernum.o
	$(call cmd,link)

# Place the TAGS file in the source directory so that, if the same
# source is built for different configurations in different build
# directories, one doesn't have to remember which of those build
# directories has the most recent TAGS.
TAGS:
	cd $(firstword $(srcdir) .) \
	&& find . \( -name "*.[ch]" -o -name "*.inc" \) -print \
	| etags --regex='{c}/\(?:static \)?INIT_LIST_OF([^,]*,[ \t]*\([[:alnum:]_]+\))/\1/' \
		--regex='{c}/struct_hierbox_browser(\n[ \t]*\([[:alnum:]_]+\),/\1/m' \
		--regex='{c}/^ACTION_(\([[:alnum:]_]+\),[^,]*,[ \t]*\([[:alnum:]_]+\),/ACT_\1_\2/' \
		--language=c -

tags:
	cd $(firstword $(srcdir) .) \
	&& find . \( -name "*.[ch]" -o -name "*.inc" \) -print \
	| ctags -L -

.PHONY: TAGS tags

PROGS = elinks$(EXEEXT)
CLEAN = vernum.o TAGS tags

include $(top_srcdir)/Makefile.lib

=== contrib/proxy/Makefile ===
all: /tmp/log gen
	./gen

gen: gen.c
	$(CC) -g -o $@ $<

=== src/config/Makefile ===
top_builddir=../..
include $(top_builddir)/Makefile.config

OBJS = cmdline.o conf.o dialogs.o domain.o home.o kbdbind.o options.o opttypes.o timer.o urlhist.o

include $(top_srcdir)/Makefile.lib

=== src/cookies/Makefile ===
top_builddir=../..
include $(top_builddir)/Makefile.config

OBJS = cookies.o dialogs.o path.o parser.o
PROG = parsetst

TEST_PROGS = \
 cookies-t$(EXEEXT)

TESTDEPS = path.o

PARSETSTDEPS = \
 $(top_builddir)/src/util/error.o \
 $(top_builddir)/src/util/string.o

ifdef CONFIG_DEBUG
PARSETSTDEPS += $(top_builddir)/src/util/memdebug.o
endif

parsetst: $(PARSETSTDEPS) parser.o parsetst.o
	$(call cmd,link)

CLEAN += parsetst.o

include $(top_srcdir)/Makefile.lib

=== src/document/Makefile ===
top_builddir=../..
include $(top_builddir)/Makefile.config

SUBDIRS-$(CONFIG_CSS)	+= css
SUBDIRS-$(CONFIG_DOM)	+= dom
SUBDIRS-$(CONFIG_LIBDOM)	+= libdom

SUBDIRS = gemini html plain

OBJS = docdata.o document.o format.o forms.o options.o refresh.o renderer.o

include $(top_srcdir)/Makefile.lib

=== src/dom/Makefile ===
top_builddir=../..
include $(top_builddir)/Makefile.config

SUBDIRS = css sgml test
OBJS = configuration.o node.o select.o stack.o scanner.o

SUBDIRS-$(CONFIG_DEBUG) += test

include $(top_srcdir)/Makefile.lib

=== src/formhist/Makefile ===
top_builddir=../..
include $(top_builddir)/Makefile.config

OBJS = formhist.o dialogs.o

include $(top_srcdir)/Makefile.lib

=== src/js/Makefile ===
top_builddir=../..
include $(top_builddir)/Makefile.config
INCLUDES += $(SPIDERMONKEY_CFLAGS) $(MUJS_CFLAGS)

SUBDIRS-$(CONFIG_LIBDOM)	+= libdom

SUBDIRS-$(CONFIG_MUJS)	+= mujs

SUBDIRS-$(CONFIG_QUICKJS)	+= quickjs

SUBDIRS-$(CONFIG_ECMASCRIPT_SMJS)	+= spidermonkey

OBJS-$(CONFIG_ECMASCRIPT_SMJS)		+= ecmascript.obj ecmascript-c.obj localstorage-db.o spidermonkey.obj timer.o

OBJS-$(CONFIG_MUJS)		+= ecmascript.o ecmascript-c.o localstorage-db.o mujs.o timer.o

OBJS-$(CONFIG_QUICKJS)		+= ecmascript.o ecmascript-c.o localstorage-db.o quickjs.o timer.o

ifeq ($(CONFIG_ECMASCRIPT_SMJS), yes)
CONFIG_ANY_SPIDERMONKEY = yes
else ifeq ($(CONFIG_SCRIPTING_SPIDERMONKEY), yes)
CONFIG_ANY_SPIDERMONKEY = yes
else
CONFIG_ANY_SPIDERMONKEY = no
endif

OBJS-$(CONFIG_ANY_SPIDERMONKEY) += spidermonkey-shared.obj

include $(top_srcdir)/Makefile.lib

$(shell xxd -i fetch.js fetch.h)

=== debian/changelog ===
elinks (0.18.0-2) unstable; urgency=medium

  * d/p/fix-libdomdeps.patch: fix spelling error of Description field
  * Drop redundant Rules-Requires-Root field
  * Enable sixel
  * d/control: update standards version to 4.7.2
  * Add fix-lto.patch to fix FTBFS with LTO enabled (Closes: #1015394)

 -- أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@users.sourceforge.net>  Fri, 31 Oct 2025 17:36:36 +0100

elinks (0.18.0-1) unstable; urgency=medium

  * New upstream version 0.18.0
  * Refreshed patch: 03_459467_ui.leds.enable_0.diff
  * Add fix-libdomdeps.patch to fix default value of libdomdeps to an empty
    list instead of false
  * Added define_SOCKS_SHIFT.patch to add missing definition for SOCKS_SHIFT

 -- أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@users.sourceforge.net>  Sun, 29 Dec 2024 18:40:32 +0100

elinks (0.17.1.1-2) unstable; urgency=medium

  * d/rules: disable unicode combining characters (Closes: #1089693)

 -- أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@users.sourceforge.net>  Sat, 21 Dec 2024 15:35:18 +0100

elinks (0.17.1.1-1) unstable; urgency=medium

  * New upstream version 0.17.1.1
  * Refreshed 14_debug_disable_Werror.diff patch
  * Remove fix_nonascii_inpfield.patch, applied upstream
  * Remove fix-protocol-test.patch, applied upstream
  * d/control:
    + bump standards version to 4.7.0
    + prettify build-deps list
  * Enable python hooks.
    Thanks to Dimitry Ishenko

 -- أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@users.sourceforge.net>  Fri, 06 Dec 2024 18:14:16 +0100

elinks (0.17.0-2) unstable; urgency=medium

  * Add fix_nonascii_inpfield.patch to fix a bug with input fields not
    accepting non-ASCII input.

 -- أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@users.sourceforge.net>  Fri, 26 Jul 2024 04:29:19 +0200

elinks (0.17.0-1) unstable; urgency=medium

  * New upstream version 0.17.0
  * Dropped patches applied upstream: fix-mailcap-test.diff & perl_5.38.patch
  * Refresh patches: 07_617713_cache_control.diff,
    14_debug_disable_Werror.diff
  * Added fix-protocol-test.patch to fix path for protocol.c test
  * d/rules:
    + remove sysconfdir setting (Closes: #1040656)
    + disable libcss support
    + fix typo
  * Update copyright years
  * d/control:
    + update build deps libidn-dev -> libidn2-dev
    + add libcurl4-gnutls-dev to build deps
    + update build-dep: pkg-config -> pkgconf
  * d/elinks-data.docs: README -> README.md
  * d/source.lintian-overrides: add an override for test/data.html
  * d/t/dump: add -no-home when invoking ELinks

 -- أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@users.sourceforge.net>  Thu, 11 Jul 2024 18:01:47 +0200

=== debian/control ===
--- 
+++ 
@@ -1,24 +1,36 @@
 Source: elinks
 Section: web
 Priority: optional
-Maintainer: Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>
-XSBC-Original-Maintainer: أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@users.sourceforge.net>
-Build-Depends: debhelper-compat (= 13), libtre-dev, libgnutls28-dev, libgcrypt20-dev, libidn-dev,
-	libfsplib-dev, libgpm-dev [linux-any],
-	liblua5.3-dev, libbz2-dev, libexpat1-dev,
-	libperl-dev, libkrb5-dev, gettext,
-	xmlto, docbook-utils, pkg-config,
-  liblzma-dev,
-  libncurses-dev
+Maintainer: أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@users.sourceforge.net>
+Build-Depends: debhelper-compat (= 13)
+  ,libtre-dev
+  ,libgnutls28-dev
+  ,libgcrypt20-dev
+  ,libidn2-dev
+  ,libfsplib-dev
+  ,libgpm-dev [linux-any]
+  ,liblua5.3-dev
+  ,libbz2-dev
+  ,libexpat1-dev
+	,libperl-dev
+  ,libkrb5-dev
+  ,gettext
+  ,xmlto
+  ,docbook-utils
+  ,pkgconf
+  ,liblzma-dev
+  ,libncurses-dev
   ,libev-libevent-dev
   ,python3
   ,dblatex
   ,zlib1g-dev
   ,libbrotli-dev
   ,meson
+  ,libcurl4-gnutls-dev
+  ,libpython3-dev
+  ,libsixel-dev
 Build-Conflicts: libgc-dev
-Standards-Version: 4.6.2
-Rules-Requires-Root: no
+Standards-Version: 4.7.2
 Homepage: https://github.com/rkd77/elinks/
 Vcs-Git: https://salsa.debian.org/aelmahmoudy/elinks.git
 Vcs-Browser: https://salsa.debian.org/aelmahmoudy/elinks

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/architecture.mk

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_LDFLAGS_MAINT_APPEND = -Wl,-z,defs
export FORCE_SOURCE_DATE = 1

CONF_OPTS= -Dtest=true \
		-Dlzma=true \
		-Dbzlib=true \
	  -Dopenssl=false \
	  -Dx=false \
	  -Dfinger=true \
	  -Dgnutls=true \
	  -Dnntp=true \
	  -D88-colors=true \
	  -D256-colors=true \
	  -Dgettext=true \
	  -Dnls=true \
	  -Dleds=true \
	  -Dhtml-highlight=true \
	  -Dfsp=true \
	  -Dsmb=false \
	  -Dperl=true \
	  -Dguile=false \
	  -Dpython=true \
	  -Druby=false \
	  -Dluapkg=lua5.3 \
	  -Dgssapi=true \
	  -Dcgi=true \
	  -Dexmode=true \
	  -Dbittorrent=true \
	  -Ddebug=false \
	  -Dterminfo=true \
	  -Dlibev=true \
	  -Dreproducible=true \
	  -Dbrotli=true \
	  -Dgopher=true \
	  -Dgemini=true \
	  -Dlibsixel=true \
	  -Dlibcss=false \
	  -Dsource-date-epoch=$(SOURCE_DATE_EPOCH)

ifeq (,$(findstring ~,$(DEB_VERSION_UPSTREAM)))
	CONF_OPTS += -Dfastmem=true
endif

ifneq (linux,$(DEB_HOST_ARCH_OS))
	CONF_OPTS += -Dgpm=false
endif

%:
	dh $@ --buildsystem=meson

override_dh_auto_configure:
	dh_auto_configure -- $(CONF_OPTS)

override_dh_auto_build:
	dh_auto_build -- man html pdf txt

override_dh_installexamples:
	dh_installexamples --exclude=.gitignore

override_dh_install:
	dh_install -Xmanual.proc

=== debian/tests/control ===
Tests: dump
Depends: elinks

#Tests: session
#Depends: elinks, screen

Tests: basic-usage
Depends: @, nginx
Restrictions: needs-root

=== debian/watch ===
version=4

opts=downloadurlmangle=s#archive/refs/tags/v(.*)\.tar\.gz#releases/download/v$1/@PACKAGE@-$1\.tar\.xz# \
https://github.com/rkd77/@PACKAGE@/tags \
   (?:.*?/)?v?([\d.]*)@ARCHIVE_EXT@

## elinks 0.19.0

=== src/terminal/Makefile ===
top_builddir=../..
include $(top_builddir)/Makefile.config

OBJS-$(CONFIG_KITTY) += kitty.o map.obj
OBJS-$(CONFIG_MOUSE) += mouse.o
OBJS-$(CONFIG_LIBSIXEL) += sixel.o
OBJS-$(CONFIG_TERMINFO) += terminfo.o

OBJS = \
 color.o \
 draw.o \
 event.o \
 hardio.o \
 image.o \
 kbd.o \
 screen.o \
 tab.o \
 terminal.o \
 window.o

include $(top_srcdir)/Makefile.lib

=== src/js/quickjs/Makefile ===
top_builddir=../../..
include $(top_builddir)/Makefile.config

OBJS = attr.o attributes.o collection.o console.o css.o customevent.o dataset.o document.o domparser.o domrect.o \
	element.o event.o form.o forms.o fragment.o heartbeat.o history.o image.o implementation.o input.o \
	keyboard.o localstorage.o location.o mapa.o message.o navigator.o node.o nodelist.o nodelist2.o performance.o \
	screen.o style.o text.o tokenlist.o unibar.o url.o urlsearchparams.o window.o xhr.o

include $(top_srcdir)/Makefile.lib

=== src/js/spidermonkey/Makefile ===
top_builddir=../../..
include $(top_builddir)/Makefile.config
INCLUDES += $(SPIDERMONKEY_CFLAGS)

OBJS = attr.obj attributes.obj collection.obj console.obj css.obj customevent.obj dataset.obj document.obj domparser.obj domrect.obj \
	element.obj event.obj form.obj forms.obj fragment.obj heartbeat.obj history.obj image.obj implementation.obj input.obj \
	keyboard.obj localstorage.obj location.obj message.obj navigator.obj node.obj nodelist.obj nodelist2.obj performance.obj \
	screen.obj style.obj text.obj tokenlist.obj unibar.obj url.obj urlsearchparams.obj window.obj xhr.obj

include $(top_srcdir)/Makefile.lib

=== debian/changelog ===
elinks (0.19.0-2) unstable; urgency=medium

  * Add fix-session-save.patch to fix session positions save/restore
  * d/control: drop redundant Priority: optional field
  * d/control: bump standards version to 4.7.3

 -- أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@users.sourceforge.net>  Fri, 16 Jan 2026 23:31:16 +0100

elinks (0.19.0-1) unstable; urgency=medium

  * New upstream version 0.19.0
  * Drop sixel support, as it requires libdom.
  * Remove define_SOCKS_SHIFT.patch, fix-libdomdeps.patch & fix-lto.patch,
    applied upstream
  * Refresh patches: 03_459467_ui.leds.enable_0.diff, 04_436817_nostrip.diff,
    07_617713_cache_control.diff & 14_debug_disable_Werror.diff
  * d/rules: enable spartan protocol
  * d/t/dump: update reference dump

 -- أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@users.sourceforge.net>  Fri, 02 Jan 2026 19:34:43 +0100

=== debian/control ===
--- 
+++ 
@@ -1,6 +1,5 @@
 Source: elinks
 Section: web
-Priority: optional
 Maintainer: أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@users.sourceforge.net>
 Build-Depends: debhelper-compat (= 13)
   ,libtre-dev
@@ -28,9 +27,8 @@
   ,meson
   ,libcurl4-gnutls-dev
   ,libpython3-dev
-  ,libsixel-dev
 Build-Conflicts: libgc-dev
-Standards-Version: 4.7.2
+Standards-Version: 4.7.3
 Homepage: https://github.com/rkd77/elinks/
 Vcs-Git: https://salsa.debian.org/aelmahmoudy/elinks.git
 Vcs-Browser: https://salsa.debian.org/aelmahmoudy/elinks
